
%global namedreltag -M3-dev
%global namedversion %{version}%{?namedreltag}

Name:          axion
Version:       1.0
Release:       %mkrel 1
Summary:       Open Source Java Database
Group:         Development/Java
License:       ASL 2.0, BSD
Url:           http://axion.tigris.org/
# cvs -d :pserver:guest@cvs.tigris.org:/cvs login
# type guest
# cvs -d :pserver:guest@cvs.tigris.org:/cvs checkout -r HEAD axion
# cd axion
# rm -rf $(find . -name "*.jar")
# rm -rf $(find . -name "*.zip")
# rm -rf $(find . -name "*.tar.gz")
# rm -rf $(find . -name "CVS")
# rm -rf $(find . -name "*.bat")
# cd ..
# tar czf axion-1.0-M3-dev-src-cvs.tar.gz axion
Source0:       axion-%{namedversion}-src-cvs.tar.gz
Source1:       http://repo1.maven.org/maven2/axion/axion/%{namedversion}/axion-%{namedversion}.pom
# sinjdoc patches
Patch0:        axion-1.0-M3-AxionException.patch
Patch1:        axion-1.0-M3-AxionResultSet.patch
Patch2:        axion-1.0-M3-FileUtil.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: ant-nodeps
BuildRequires: apache-commons-codec
BuildRequires: apache-commons-collections
BuildRequires: apache-commons-primitives
BuildRequires: apache-commons-logging
BuildRequires: liblog4j-java
BuildRequires: regexp
BuildRequires: javacc
BuildRequires: junit

BuildRequires: sinjdoc

BuildRequires: sax2
BuildRequires: xalan-j2
BuildRequires: xerces-j2

Requires:      apache-commons-codec
Requires:      apache-commons-collections
Requires:      apache-commons-primitives
Requires:      apache-commons-logging
Requires:      javacc
Requires:      regexp

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Axion is a small, fast, open source relational
database system (RDBMS) supporting SQL and JDBC
written in and for the Java programming language.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%package manual
Summary:       Manual for %{name}
Group:         Development/Java

%description manual
This package contains documentation for %{name}.

%prep
%setup -q -n axion
mkdir -p lib

#sed -i "s|http://java.sun.com/j2se/1.4.2/docs/api/|%{_javadocdir}/java|" build.xml
%patch0
%patch1
%patch2

cat > docs/build.properties << EOF
xalan.jar=$(build-classpath xalan-j2)
xerces.jar=$(build-classpath xerces-j2)
sax.jar=$(build-classpath sax2)
EOF

rm -rf www/*

%build

export CLASSPATH=$(build-classpath commons-primitives commons-codec ant/ant-junit ant/ant-nodeps):bin/classes:bin/test/classes
ant \
  -Dcommons-primitives.jar=$(build-classpath commons-primitives) \
  -Dcollections-primitives.jar=$(build-classpath commons-primitives) \
  -Dcollections.jar=$(build-classpath commons-collections) \
  -Dcodec.jar=$(build-classpath commons-codec) \
  -Dlogging.jar=$(build-classpath commons-logging) \
  -Dlogging-impl.jar=$(build-classpath log4j) \
  -Djavacc.jar=$(build-classpath javacc) \
  -Djunit.jar=$(build-classpath junit) \
  -Dregexp.jar=$(build-classpath regexp) \
  -Djavacc.home=%{_javadir} \
  -Dtest.failonerror=false \
  jar test
# doc java.lang.ClassCastException: com.sun.tools.doclets.formats.html.SingleIndexWriter cannot be cast to com.sun.tools.doclets.formats.html.ClassWriterImpl

sinjdoc \
  -classpath $CLASSPATH \
  -version -author -breakiterator -source 1.5 -quiet \
  -windowtitle "Axion %{version} documentation" \
  -doctitle "Axion %{version} documentation" \
  -header "Axion %{version}" \
  -d bin/docs/api $(find src -name "*.java")

cd docs
ant doc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 bin/%{name}-%{namedversion}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 %SOURCE1 %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr bin/docs/api/* %{buildroot}%{_javadocdir}/%{name}/

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/%{name}

%files manual
%doc www/*


%changelog

* Mon Nov 07 2011 gil <gil> 1.0-1.mga2
+ Revision: 164810
- imported package axion

